PayNowPro
Subscriptions

Get Subscription

Retrieves a single subscription by ID.

GET
/subscriptions/{subscriptionId}
api-key<token>

In: header

Path Parameters

subscriptionId*string

The subscription ID from the URL path

Query Parameters

tenantAlias*string

Merchant identifier for multi-tenant access

customer*string

Customer ID for subscription lookup

Response Body

application/json

application/json

application/json

curl -X GET "https://api.paynowpro.com/api/v1/subscriptions/string?tenantAlias=string&customer=string"
{
  "cancelledAt": "string",
  "createdAt": "string",
  "metadata": {
    "property1": null,
    "property2": null
  },
  "billedCount": 0.1,
  "nextBillingDate": "string",
  "firstBillingDate": "string",
  "priceId": "string",
  "productId": "string",
  "customerId": "string",
  "paymentIntentId": "string",
  "tenantAlias": "string",
  "id": "string"
}
{
  "cause": null,
  "body": {
    "response": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      }
    },
    "request": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "url": "string",
      "method": "string"
    },
    "reason": "string",
    "code": 400
  }
}
{
  "cause": null,
  "body": {
    "response": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      }
    },
    "request": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "url": "string",
      "method": "string"
    },
    "reason": "string",
    "code": 400
  }
}